> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/ntopin/35-mytshon-shitantonikomentowo.md).

# 35. ミューテーション: 選択したノートにコメントを追加

このミューテーションでは、選択したノートにコメントを追加できます。

* コメントは、フィールドを一意に識別する識別子を使ってリンクできます `fieldUuid` およびノートには次の方法で `noteUuid`.
* コメントの内容は、属性を使って提供できます `テキスト` 内容が複数行になる場合、属性は改行文字を含む文字列にする必要があります `テキスト` 属性は改行文字を含む文字列にする必要があります `\\n` で行を区切ります。例えば： `"First line. is here\\nSecond line is here.\\nThird line is here."`.
* コメントに関連付けられた日時をISO8601形式で定義して設定することが可能です（属性を使用）。 `作成日` 属性はISO8601形式で指定します。

サンプルリクエストは以下にあります：

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "The 1st comment from multiple.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    作成日
    updatedDate
    テキスト
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "First line. is here\\nSecond line is here.\\nThird line is here.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    作成日
    updatedDate
    テキスト
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/ntopin/35-mytshon-shitantonikomentowo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
